The IConvergenceModelValueEvent is the parent interface of all events representing changes to model values.

### Hierarchy

- IConvergenceEvent
  - IConvergenceModelValueEvent
    - IValueChangedEvent

### Implemented by

- ModelChangedEvent

## Index

### Properties

- element
- local
- name

## Properties

### element

element: ObservableElement<any>

The RealTimeElement or HistoricalElement whose contents changed.

### local

local: boolean

True if the change occurred locally (within the current session)

### name

name: string

Inherited from IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.